﻿@model IEnumerable<UserVM> 
@{
    ViewData["Title"] = "Index";
}

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Inverse table</h4>
                <div class="table-responsive pt-3">
                    <table class="table table-dark">
                        <thead>
                            <tr>
                                <th>
                                    Full Name
                                </th>
                                <th>
                                     Email
                                </th>
                                <th>
                                    Role
                                </th>
                                <th>
                                    Is Active
                                </th>
                                <th>
                                    Setting
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach (UserVM userVM in Model)
                            {
                            <tr>
                                <td>
                                    @userVM.FullName
                                </td>
                                <td>
                                    @userVM.Email
                                </td>
                                <td>
                                    @userVM.Role
                                </td>
                                @if (userVM.IsDeleted)
                                {
                                    <td>
                                        DeActive
                                    </td>
                                }
                                else
                                {
                                    <td>
                                        Active
                                    </td>
                                }

                                <td>

                                    @if (userVM.IsDeleted)
                                    {
                                    <a class="btn btn-success" asp-action="ChangeStatus" asp-route-id="@userVM.Id">Active</a>
                                }
                                else
                                {
                                <a class="btn btn-danger" asp-action="ChangeStatus" asp-route-id="@userVM.Id">DeActive</a>
                                }
                                    
                                    <a class="btn btn-warning" asp-action="ChangeRole" asp-route-id="@userVM.Id">ChangeRole</a>
                                    <a class="btn btn-danger" asp-action="ChangePassword" asp-route-id="@userVM.Id">ChangePassword</a>
                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

